;START_HEADER
;
; dsPIC30F Training Source File, Revision 1.0
; (c) Copyright 2004 Microchip Technology, All rights reserved
;
; File Revision History:
; -----------------------------------------------------------------------------
; Rev.  MM/DD/YYYY   Details:                                           Who
; -----------------------------------------------------------------------------
; 1.0   06/30/2004   Lab Session for Masters 806 P30
;
;
; -----------------------------------------------------------------------------
;
; Software and Development Tools Info:
; -----------------------------------------------------------------------------
; Tool                          Version         Comments
; -----------------------------------------------------------------------------
; MPLAB IDE                     6.60            Required for development/ICD2
; MPLAB C30 Toolsuite           1.20.02         Required for assembler, linker
; dsPICDEM Board                1.1             Required hardware
; dsPIC30F6014 PIM              Rev B1/B2       Required processor
; -----------------------------------------------------------------------------
; Notes:
; This file contains 256 samples of a sine wave of frequency, 28.125 Hz,
; sampled at 7200 Hz.
; The sine wave was generated using dsPICworks, Data Analysis and DSP Software,
; and exported into an "*.s" file by using the same tool.
; The tool is freely available on the web at http://www.microchip.com
;
;..............................................................................
;END_HEADER
                                        ;Provide global definitions
        .global   SineTable

        .section .data                  ;Allocate and initializr RAM space for
                                        ;initialized variables
SineTable:
        .hword 0x0000
        .hword 0x0324
        .hword 0x0647
        .hword 0x096A
        .hword 0x0C8B
        .hword 0x0FAB
        .hword 0x12C7
        .hword 0x15E1
        .hword 0x18F8
        .hword 0x1C0B
        .hword 0x1F19
        .hword 0x2223
        .hword 0x2527
        .hword 0x2826
        .hword 0x2B1E
        .hword 0x2E10
        .hword 0x30FB
        .hword 0x33DE
        .hword 0x36B9
        .hword 0x398C
        .hword 0x3C56
        .hword 0x3F16
        .hword 0x41CD
        .hword 0x447A
        .hword 0x471C
        .hword 0x49B3
        .hword 0x4C3F
        .hword 0x4EBF
        .hword 0x5133
        .hword 0x539A
        .hword 0x55F4
        .hword 0x5842
        .hword 0x5A81
        .hword 0x5CB3
        .hword 0x5ED6
        .hword 0x60EB
        .hword 0x62F1
        .hword 0x64E7
        .hword 0x66CE
        .hword 0x68A5
        .hword 0x6A6C
        .hword 0x6C23
        .hword 0x6DC9
        .hword 0x6F5E
        .hword 0x70E1
        .hword 0x7254
        .hword 0x73B5
        .hword 0x7503
        .hword 0x7640
        .hword 0x776B
        .hword 0x7883
        .hword 0x7989
        .hword 0x7A7C
        .hword 0x7B5C
        .hword 0x7C29
        .hword 0x7CE2
        .hword 0x7D89
        .hword 0x7E1C
        .hword 0x7E9C
        .hword 0x7F08
        .hword 0x7F61
        .hword 0x7FA6
        .hword 0x7FD7
        .hword 0x7FF5
        .hword 0x7FFF
        .hword 0x7FF5
        .hword 0x7FD7
        .hword 0x7FA6
        .hword 0x7F61
        .hword 0x7F08
        .hword 0x7E9C
        .hword 0x7E1C
        .hword 0x7D89
        .hword 0x7CE2
        .hword 0x7C29
        .hword 0x7B5C
        .hword 0x7A7C
        .hword 0x7989
        .hword 0x7883
        .hword 0x776B
        .hword 0x7640
        .hword 0x7503
        .hword 0x73B5
        .hword 0x7254
        .hword 0x70E1
        .hword 0x6F5E
        .hword 0x6DC9
        .hword 0x6C23
        .hword 0x6A6C
        .hword 0x68A5
        .hword 0x66CE
        .hword 0x64E7
        .hword 0x62F1
        .hword 0x60EB
        .hword 0x5ED6
        .hword 0x5CB3
        .hword 0x5A81
        .hword 0x5842
        .hword 0x55F4
        .hword 0x539A
        .hword 0x5133
        .hword 0x4EBF
        .hword 0x4C3F
        .hword 0x49B3
        .hword 0x471C
        .hword 0x447A
        .hword 0x41CD
        .hword 0x3F16
        .hword 0x3C56
        .hword 0x398C
        .hword 0x36B9
        .hword 0x33DE
        .hword 0x30FB
        .hword 0x2E10
        .hword 0x2B1E
        .hword 0x2826
        .hword 0x2527
        .hword 0x2223
        .hword 0x1F19
        .hword 0x1C0B
        .hword 0x18F8
        .hword 0x15E1
        .hword 0x12C7
        .hword 0x0FAB
        .hword 0x0C8B
        .hword 0x096A
        .hword 0x0647
        .hword 0x0324
        .hword 0x0000
        .hword 0xFCDC
        .hword 0xF9B9
        .hword 0xF696
        .hword 0xF375
        .hword 0xF055
        .hword 0xED39
        .hword 0xEA1F
        .hword 0xE708
        .hword 0xE3F5
        .hword 0xE0E7
        .hword 0xDDDD
        .hword 0xDAD9
        .hword 0xD7DA
        .hword 0xD4E2
        .hword 0xD1F0
        .hword 0xCF05
        .hword 0xCC22
        .hword 0xC947
        .hword 0xC674
        .hword 0xC3AA
        .hword 0xC0EA
        .hword 0xBE33
        .hword 0xBB86
        .hword 0xB8E4
        .hword 0xB64D
        .hword 0xB3C1
        .hword 0xB141
        .hword 0xAECD
        .hword 0xAC66
        .hword 0xAA0C
        .hword 0xA7BE
        .hword 0xA57F
        .hword 0xA34D
        .hword 0xA12A
        .hword 0x9F15
        .hword 0x9D0F
        .hword 0x9B19
        .hword 0x9932
        .hword 0x975B
        .hword 0x9594
        .hword 0x93DD
        .hword 0x9237
        .hword 0x90A2
        .hword 0x8F1F
        .hword 0x8DAC
        .hword 0x8C4B
        .hword 0x8AFD
        .hword 0x89C0
        .hword 0x8895
        .hword 0x877D
        .hword 0x8677
        .hword 0x8584
        .hword 0x84A4
        .hword 0x83D7
        .hword 0x831E
        .hword 0x8277
        .hword 0x81E4
        .hword 0x8164
        .hword 0x80F8
        .hword 0x809F
        .hword 0x805A
        .hword 0x8029
        .hword 0x800B
        .hword 0x8001
        .hword 0x800B
        .hword 0x8029
        .hword 0x805A
        .hword 0x809F
        .hword 0x80F8
        .hword 0x8164
        .hword 0x81E4
        .hword 0x8277
        .hword 0x831E
        .hword 0x83D7
        .hword 0x84A4
        .hword 0x8584
        .hword 0x8677
        .hword 0x877D
        .hword 0x8895
        .hword 0x89C0
        .hword 0x8AFD
        .hword 0x8C4B
        .hword 0x8DAC
        .hword 0x8F1F
        .hword 0x90A2
        .hword 0x9237
        .hword 0x93DD
        .hword 0x9594
        .hword 0x975B
        .hword 0x9932
        .hword 0x9B19
        .hword 0x9D0F
        .hword 0x9F15
        .hword 0xA12A
        .hword 0xA34D
        .hword 0xA57F
        .hword 0xA7BE
        .hword 0xAA0C
        .hword 0xAC66
        .hword 0xAECD
        .hword 0xB141
        .hword 0xB3C1
        .hword 0xB64D
        .hword 0xB8E4
        .hword 0xBB86
        .hword 0xBE33
        .hword 0xC0EA
        .hword 0xC3AA
        .hword 0xC674
        .hword 0xC947
        .hword 0xCC22
        .hword 0xCF05
        .hword 0xD1F0
        .hword 0xD4E2
        .hword 0xD7DA
        .hword 0xDAD9
        .hword 0xDDDD
        .hword 0xE0E7
        .hword 0xE3F5
        .hword 0xE708
        .hword 0xEA1F
        .hword 0xED39
        .hword 0xF055
        .hword 0xF375
        .hword 0xF696
        .hword 0xF9B9
        .hword 0xFCDC



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                    ;
;                       Software License Agreement                   ;
;                                                                    ;
;   The software supplied herewith by Microchip Technology           ;
;   Incorporated (the "Company") for its dsPIC controller            ;
;   is intended and supplied to you, the Company's customer,         ;
;   for use solely and exclusively on Microchip dsPIC                ;
;   products. The software is owned by the Company and/or its        ;
;   supplier, and is protected under applicable copyright laws. All  ;
;   rights are reserved. Any use in violation of the foregoing       ;
;   restrictions may subject the user to criminal sanctions under    ;
;   applicable laws, as well as to civil liability for the breach of ;
;   the terms and conditions of this license.                        ;
;                                                                    ;
;   THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION.  NO           ;
;   WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING,    ;
;   BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND    ;
;   FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE     ;
;   COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL,  ;
;   INCIDENTAL OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.  ;
;                                                                    ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
