
echo Building Lab4.a ...
echo off

for %%f in ( *.a) do del %%f

if exist Lab4.a del Lab4.a


pic30-as -o crt0.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=crt0.lst -p30f6014 crt0.s
pic30-as -o LCDRoutines.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=LCDRoutines.lst -p30f6014 LCDRoutines.s
pic30-as -o SPI2_init.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2_init.lst -p30f6014 SPI2_init.s
pic30-as -o SPI2Interrupt.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2Interrupt.lst -p30f6014 SPI2Interrupt.s
pic30-as -o ADC_init.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=ADC_init.lst -p30f6014 ADC_init.s
pic30-as -o ADCInterrupt.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=ADCInterrupt.lst -p30f6014 ADCInterrupt.s
pic30-as -o T1_init.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=T1_init.lst -p30f6014 T1_init.s
pic30-gcc -S sub_typeconversions.s -g -Os -mconst-in-data -msmall-code -msmall-data sub_typeconversions.c
pic30-as -o sub_typeconversions.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=sub_typeconversions.lst -p30f6014 sub_typeconversions.s

pic30-ar -r Lab4.a LCDRoutines.o SPI2_init.o SPI2Interrupt.o ADC_init.o ADCInterrupt.o sub_typeconversions.o T1_init.o crt0.o

echo Lab4.a contains the following members ...
pic30-ar -t Lab4.a
echo Library build complete

echo Copying library archive to lib folder...
echo off
copy Lab4.a ..\


echo Deleting *.o, *.lst and local copy of *.a files...
echo off
for %%f in ( *.lst) do del %%f
for %%f in ( *.o) do del %%f
for %%f in ( *.a) do del %%f


echo Library Built and Transferred
